Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench.diagram
Class DiagramImporterRegistry

    java.lang.Object
      biouml.workbench.diagram.DiagramImporterRegistry

public class DiagramImporterRegistry
extends java.lang.Object

Nested Class Summary
`static class` | `DiagramImporterRegistry.ImporterInfo` Utility class that stores information about `DiagramImporter`.

Field Summary
`static java.lang.String` | `AUTODETECT`
`static java.lang.String` | `DESCRIPTION`
`static java.lang.String` | `FORMAT`
`static java.lang.String` | `IMPORT`
`static java.lang.String` | `IMPORTER_CLASS`

Constructor Summary
`DiagramImporterRegistry()`

Method Summary
`static DiagramImporter[]` | `getAutoDetectImporter(java.io.File file)`
`static DiagramImporter` | `getImporter(java.io.File file, java.lang.String format)` Returns suitable importer for the specified file and format.
`static java.util.HashMap` | `getRegistry()`
`protected static void` | `loadExtensions(java.lang.String extensionPointId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTODETECT

    public static final java.lang.String AUTODETECT

See Also:
  Constant Field Values

### IMPORT

    public static final java.lang.String IMPORT

See Also:
  Constant Field Values

### FORMAT

    public static final java.lang.String FORMAT

See Also:
  Constant Field Values

### IMPORTER_CLASS

    public static final java.lang.String IMPORTER_CLASS

See Also:
  Constant Field Values

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### DiagramImporterRegistry

    public DiagramImporterRegistry()

Method Detail

### getRegistry

    public static java.util.HashMap getRegistry()

### getImporter

    public static DiagramImporter getImporter(java.io.File file,
                                              java.lang.String format)

  Returns suitable importer for the specified file and format.

  Parameters:
    `file` - - diagram file to be imported
    `format` - - format name. If format equals `autodetect`, then registry checks all possible importers and returns first that can accept this format. Otherwise it checks only importers that are registered for this format.
  Pendung:
    possibly Importer should return not boolean, but integer that indicates sutability of the importer for the specified format., who should pring in log detected format and importer name - registry or importer?

### getAutoDetectImporter

    public static DiagramImporter[] getAutoDetectImporter(java.io.File file)

### loadExtensions

    protected static void loadExtensions(java.lang.String extensionPointId)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.